Skip to main content

Inspect portable task archive before import

POST
/tasks/import/inspect

Stores the .pa-task-export archive in a temporary single-use session, validates the archive, and matches its dependencies without changing the database. Use the returned importId to import the task without uploading the file again.

Contract

Parameter
Value
Sectiontasks
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
fileformDatanofile.pa-task-export archive for the compatibility mode without importId
  • {}

Responses

4 responses

Status
Description
Type
200
Import reconciliation reportobject
400
Invalid archiveobject
401
Unauthorizedobject
500
Failed to read the archive or local catalogsobject
  • {
      "expiresAt": "<string>",
      "format": "<string>",
      "importId": "<string>",
      "inspectedAt": "<string>",
      "manifest": {
        "checksums": {
          "<key>": "<string>"
        },
        "exportedAt": "<string>",
        "format": "<string>",
        "missing": [
          {
            "kind": "<string>",
            "reason": "<string>",
            "sourceId": 0
          }
        ],
        "options": {
          "includeFilePayloads": true,
          "includeMalwarePayloads": true
        },
        "schema": "<string>",
        "sourceTaskId": 0,
        "summary": {
          "agents": 0,
          "applications": 0,
          "certificates": 0,
          "compromisedHostCampaigns": 0,
          "cveSignatures": 0,
          "fileBytes": 0,
          "files": 0,
          "macs": 0,
          "networks": 0,
          "payloadBytes": 0,
          "tunnels": 0
        },
        "warnings": [
          "<string>"
        ]
      },
      "matches": [
        {
          "kind": "<string>",
          "localId": 0,
          "localName": "<string>",
          "reason": "<string>",
          "sourceId": 0,
          "sourceKey": "<string>",
          "sourceName": "<string>",
          "status": "<string>"
        }
      ],
      "missing": [
        {
          "kind": "<string>",
          "reason": "<string>",
          "sourceId": 0
        }
      ],
      "schema": "<string>",
      "summary": {
        "agents": 0,
        "applications": 0,
        "certificates": 0,
        "compromisedHostCampaigns": 0,
        "cveSignatures": 0,
        "fileBytes": 0,
        "files": 0,
        "macs": 0,
        "networks": 0,
        "payloadBytes": 0,
        "tunnels": 0
      },
      "warnings": [
        "<string>"
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }